-- Set value for vim.opt and vim.g
local opt = vim.opt
local g = vim.g


-- [[ Serach ]] --
-- Ignore case when searching
-- if we now type in "IGNORE", it will also find "ignore" 
opt.ignorecase = true

-- Don't ignore case searching if there are characters in upper case
-- If we now type "Ignore", it will only search for "Ignore"
opt.smartcase = true

-- highlight found text
opt.showmatch = true
opt.incsearch = true
opt.hlsearch = true

-- Show line numbers relatively
opt.number = true
opt.relativenumber = true

-- Replace all by-default
opt.gdefault = true
